from dfs_graph import DFSGraph

g = DFSGraph()

graphFile = open("pancakes.txt")
print("Pancake graph:")
for edgeLine in graphFile:
    print(edgeLine, end="")
    edgeList = edgeLine.strip().split(':')
    g.addEdge(edgeList[0], edgeList[1], int(edgeList[2]))
    
g.dfs()

finishList = []
for v in g:
    finishList.append((v.getFinish(), v.getId()))

finishList.sort()

print("\n================================================\n")

finishList.reverse()

for v in finishList:
    print(v)
